<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.203
Description: Procedure Description Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.203">
   <title>Procedure Description Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.203
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.203']]
Item: (ProcedureDescriptionSection)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.203
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.203']]/hl7:section
Item: (ProcedureDescriptionSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.203']]/hl7:section"
         id="tmp-42e8c36c-410a-45e7-9b10-65f37e488d36">
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.203.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.203']|hl7:code|hl7:title|hl7:text|hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.502']]]|hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.505']]]|hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.305']]]|hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.327']]]))=0">(ProcedureDescriptionSection): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.203.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.203'])&gt;=1 ">(ProcedureDescriptionSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.203'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.203.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.203'])&lt;=1">(ProcedureDescriptionSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.203'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.203.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ProcedureDescriptionSection): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.203.html"
              test="count(hl7:code)&lt;=1">(ProcedureDescriptionSection): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.203.html"
              test="count(hl7:title)&gt;=1 ">(ProcedureDescriptionSection): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.203.html"
              test="count(hl7:title)&lt;=1">(ProcedureDescriptionSection): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.203.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(ProcedureDescriptionSection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.203.html"
              test="count(hl7:text)&lt;=1">(ProcedureDescriptionSection): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.203.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.502']]])&gt;=1 and not(hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.502']]]/@nullFlavor)">(ProcedureDescriptionSection): element hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.502']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.203.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.502']]])&lt;=1">(ProcedureDescriptionSection): element hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.502']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.203
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.203']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.203']
Item: (ProcedureDescriptionSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.203']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.203']"
         id="tmp-d2dba5e1-2a5d-4bbb-a7c2-be8781e75b4a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.203.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (ProcedureDescriptionSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.203.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.203'">(ProcedureDescriptionSection): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.203' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.203.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ProcedureDescriptionSection): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.203
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.203']]/hl7:section/hl7:code
Item: (ProcedureDescriptionSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.203']]/hl7:section/hl7:code"
         id="tmp-639a18dd-0e69-483a-b13d-aa4732140fc7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.203.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (ProcedureDescriptionSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.203.html"
              test="@nullFlavor or (@code='29554-3' and @codeSystem='2.16.840.1.113883.6.1')">(ProcedureDescriptionSection): de waarde van @code/@codeSystem MOET ''29554-3' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.203
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.203']]/hl7:section/hl7:title
Item: (ProcedureDescriptionSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.203']]/hl7:section/hl7:title"
         id="tmp-e3e884e1-7a06-4bc9-9a31-fed1afaa01c0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.203.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (ProcedureDescriptionSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.203.html"
              test="text()='Procedure beschrijving'">(ProcedureDescriptionSection): de element content van hl7:title MOET ''Procedure beschrijving'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.203
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.203']]/hl7:section/hl7:text
Item: (ProcedureDescriptionSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.203']]/hl7:section/hl7:text"
         id="tmp-7f227996-9fbd-40a1-9628-83a934208c9c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130205T172255/tmp-2.16.840.1.113883.2.4.3.36.10.203.html"
              test="@nullFlavor or ($xsiLocalName='SD.TEXT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (ProcedureDescriptionSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "SD.TEXT" bevatten</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.203
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.203']]/hl7:section/hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.502']]]
Item: (ProcedureDescriptionSection)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.203
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.203']]/hl7:section/hl7:entry[hl7:organizer[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.505']]]
Item: (ProcedureDescriptionSection)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.203
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.203']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.305']]]
Item: (ProcedureDescriptionSection)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.203
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.203']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.327']]]
Item: (ProcedureDescriptionSection)
--></pattern>